Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.data
Class DataIntranet

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.data.DataIntranet

All Implemented Interfaces:
  IDataIntranet

public class DataIntranet
extends java.lang.Object
implements IDataIntranet

DataIntranet
Commentaire
(c)Copyright ESup-Portail 2004

Version:
  2.0
Author:
  Mathieu Larchet

Constructor Summary
`DataIntranet()`

Method Summary
`void` | `createIntranet(org.esupportail.portal.utils.database.Query query, Intranet intranet)` Création d'un intranet
`Intranet` | `getIntranet(org.esupportail.portal.utils.database.Query query, java.lang.String id)` Récupération d'un intranet
`java.util.Collection` | `getIntranets(org.esupportail.portal.utils.database.Query query)` Récupération de la liste de tous les intranets
`boolean` | `intranetExist(org.esupportail.portal.utils.database.Query query, Intranet intranet)` Test de l'existence d'un intranet
`void` | `removeIntranet(org.esupportail.portal.utils.database.Query query, Intranet intranet)` Suppression d'un intranet

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataIntranet

    public DataIntranet()

Method Detail

### getIntranet

    public Intranet getIntranet(org.esupportail.portal.utils.database.Query query,
                                java.lang.String id)
                         throws DataException

  Récupération d'un intranet

  Specified by:
    `getIntranet` in interface `IDataIntranet`
  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant d'intranet
  Returns:
    L'intranet correspondant
  Throws:
    `DataException`

### getIntranets

    public java.util.Collection getIntranets(org.esupportail.portal.utils.database.Query query)
                                      throws DataException

  Récupération de la liste de tous les intranets

  Specified by:
    `getIntranets` in interface `IDataIntranet`
  Parameters:
    `query` - La connexion à utiliser
  Returns:
    La liste de tous les intranets
  Throws:
    `DataException`

### createIntranet

    public void createIntranet(org.esupportail.portal.utils.database.Query query,
                               Intranet intranet)
                        throws DataException

  Création d'un intranet

  Specified by:
    `createIntranet` in interface `IDataIntranet`
  Parameters:
    `query` - La connexion à utiliser
    `intranet` - L'intranet à créer
  Throws:
    `DataException`

### removeIntranet

    public void removeIntranet(org.esupportail.portal.utils.database.Query query,
                               Intranet intranet)
                        throws DataException

  Suppression d'un intranet

  Specified by:
    `removeIntranet` in interface `IDataIntranet`
  Parameters:
    `query` - La connexion à utiliser
    `intranet` - L'intranet à supprimer
  Throws:
    `DataException`

### intranetExist

    public boolean intranetExist(org.esupportail.portal.utils.database.Query query,
                                 Intranet intranet)
                          throws DataException

  Test de l'existence d'un intranet

  Specified by:
    `intranetExist` in interface `IDataIntranet`
  Parameters:
    `query` - La connexion à utiliser
    `intranet` - L'intranet dont on teste l'existence
  Returns:
    boolean true si l'intranet existe, false sinon
  Throws:
    `DataException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD